Get events by creation number
GET
Event types are globally identified by account address and a monotonically increasing creation_number. One creation_number is assigned per event type that occurs for each account. This API returns the list of events corresponding to that event type.
⚠️ Notice regarding some API calls
As the latest version of the Aptos node client excludes the Legacy Indexer, Indexer-related errors may occur when making some API calls.
We are currently reviewing options to restore this functionality or provide alternative APIs, and will provide updates as related measures are completed.
We apologize for any inconvenience.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.addressstringrequired
The address of the account to retrieve. Account addresses without the hexadecimal prefix can also be queried.creation_numberintegerrequired
The creation number corresponding to the event stream that occurred on the specified account.Query Parameters
limitinteger
The maximum number of account modules to fetch.If no value is provided, the default page size is used.startstring
A cursor that specifies the starting position for pagination.This cursor cannot be arbitrarily generated on the client side. You must first call this endpoint without specifying this query parameter, then use the cursor returned in the X-Aptos-Cursor header of the response.Responses
versionstring
A unique sequence ID representing the transaction version, starting from 0 and incrementing sequentially.Transaction version is used to guarantee transaction execution order and to query the state of a specific transaction.creation_numberstring
A field representing the creation number of the event handle.account_addressstring
A field representing the address of the resource owner that emitted the event.sequenceNumberstringrequired
A field representing the transaction occurrence order.Represents a 64-bit unsigned integer as a string.typestringrequired
String representation of the Move type tag exposed in the transaction payload.Values:vector<u8>vector<vector<u64>>vector<0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>>
0x1::coin::CoinStore<0x1::aptos_coin::AptosCoin>0x1::account::Account
dataoneOfrequired
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X GET 'https://aptos-mainnet.nodit.io/v1/accounts/0x1/events/2?start=0000000000000000000000000000000000000000000000000000000000000000012f0000000000000000000000000000000000000000000000000000000000000000010d7374616b696e675f70726f7879' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'